summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sys-auth/pam_passwdqc
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sys-auth/pam_passwdqc')
-rw-r--r--sys-auth/pam_passwdqc/Manifest2
-rw-r--r--sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.4-makefile.patch44
-rw-r--r--sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.5-makefile.patch35
-rw-r--r--sys-auth/pam_passwdqc/metadata.xml14
-rw-r--r--sys-auth/pam_passwdqc/pam_passwdqc-1.0.4.ebuild47
-rw-r--r--sys-auth/pam_passwdqc/pam_passwdqc-1.0.5.ebuild47
-rw-r--r--sys-auth/pam_passwdqc/pam_passwdqc-1.3.0.ebuild15
7 files changed, 204 insertions, 0 deletions
diff --git a/sys-auth/pam_passwdqc/Manifest b/sys-auth/pam_passwdqc/Manifest
new file mode 100644
index 00000000000..5735f02749a
--- /dev/null
+++ b/sys-auth/pam_passwdqc/Manifest
@@ -0,0 +1,2 @@
+DIST pam_passwdqc-1.0.4.tar.gz 30572 SHA256 192d0eb131f203fd809c371751aa1a670df044190b56444b1e6576d8c8672cb6
+DIST pam_passwdqc-1.0.5.tar.gz 29973 SHA256 32528ddf7d8219c788b6e7702361611ff16c6340b6dc0f418ff164aadc4a4a88 SHA512 8ae6cb4cc520b06b05fadf60ac360964721a8a1e4481aff9cd7247c203e62b58d3aed4c14ba687b303de820689e0f5cdcf070fd396b7e13b0aae4cc5d1442235 WHIRLPOOL 78876bfcb8cf9225f393b5ad3edfb1b603f4a53d5c9f34856cffb838cacc97e270b94e14774e67f419599bbee0eb532bc62b32aa78f3e10f48ad8668cceb9008
diff --git a/sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.4-makefile.patch b/sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.4-makefile.patch
new file mode 100644
index 00000000000..13f8bd435dd
--- /dev/null
+++ b/sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.4-makefile.patch
@@ -0,0 +1,44 @@
+Index: pam_passwdqc-1.0.4/Makefile
+===================================================================
+--- pam_passwdqc-1.0.4.orig/Makefile
++++ pam_passwdqc-1.0.4/Makefile
+@@ -7,11 +7,11 @@ LD = $(CC)
+ RM = rm -f
+ MKDIR = mkdir -p
+ INSTALL = install -c
+-CFLAGS = -Wall -fPIC -O2
+-LDFLAGS = -s --shared
+-LDFLAGS_LINUX = -s --shared -Wl,--version-script,$(MAP)
+-LDFLAGS_SUN = -s -G
+-LDFLAGS_HP = -s -b
++CFLAGS = -Wall -fPIC $(OPTCFLAGS)
++LDFLAGS_GENERIC = --shared
++LDFLAGS_LINUX = --shared -Wl,--version-script,$(MAP)
++LDFLAGS_SUN = -G
++LDFLAGS_HP = -b
+ LDLIBS = -lpam -lcrypt
+ LDLIBS_LINUX = -lpam -lcrypt
+ LDLIBS_SUN = -lpam -lcrypt
+@@ -41,18 +41,18 @@ MAP = pam_passwdqc.map
+ all:
+ if [ "`uname -s`" = "Linux" ]; then \
+ $(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+- LDFLAGS="$(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
++ LDFLAGS="$(LDFLAGS) $(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
+ $(PROJ); \
+ elif [ "`uname -s`" = "SunOS" ]; then \
+ $(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+- LD=ld LDFLAGS="$(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
++ LD=ld LDFLAGS="$(LDFLAGS) $(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
+ $(PROJ); \
+ elif [ "`uname -s`" = "HP-UX" ]; then \
+ $(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+- LD=ld LDFLAGS="$(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
++ LD=ld LDFLAGS="$(LDFLAGS) $(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
+ $(PROJ); \
+ else \
+- $(MAKE) $(PROJ); \
++ $(MAKE) LDFLAGS="$(LDFLAGS) $(LDFLAGS_GENERIC)" $(PROJ); \
+ fi
+
+ $(LIBSHARED): $(OBJS) $(MAP)
diff --git a/sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.5-makefile.patch b/sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.5-makefile.patch
new file mode 100644
index 00000000000..20375b76a38
--- /dev/null
+++ b/sys-auth/pam_passwdqc/files/pam_passwdqc-1.0.5-makefile.patch
@@ -0,0 +1,35 @@
+Index: pam_passwdqc-1.0.5/Makefile
+===================================================================
+--- pam_passwdqc-1.0.5.orig/Makefile
++++ pam_passwdqc-1.0.5/Makefile
+@@ -7,8 +7,8 @@ LD = $(CC)
+ RM = rm -f
+ MKDIR = mkdir -p
+ INSTALL = install -c
+-CFLAGS = -Wall -fPIC -O2
+-LDFLAGS = --shared
++CFLAGS = -Wall -fPIC -O2 $(OPTCFLAGS)
++LDFLAGS_GENERIC = --shared
+ LDFLAGS_LINUX = --shared -Wl,--version-script,$(MAP)
+ LDFLAGS_SUN = -G
+ LDFLAGS_HP = -b
+@@ -41,16 +41,16 @@ MAP = pam_passwdqc.map
+ all:
+ case "`uname -s`" in \
+ Linux) $(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+- LDFLAGS="$(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
++ LDFLAGS="$(LDFLAGS) $(LDFLAGS_LINUX)" LDLIBS="$(LDLIBS_LINUX)" \
+ $(PROJ);; \
+ SunOS) $(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+- LD=ld LDFLAGS="$(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
++ LD=ld LDFLAGS="$(LDFLAGS) $(LDFLAGS_SUN)" LDLIBS="$(LDLIBS_SUN)" \
+ $(PROJ);; \
+ HP-UX) $(MAKE) CFLAGS="$(CFLAGS) -DHAVE_SHADOW" \
+- LD=ld LDFLAGS="$(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
++ LD=ld LDFLAGS="$(LDFLAGS) $(LDFLAGS_HP)" LDLIBS="$(LDLIBS_HP)" \
+ $(PROJ);; \
+- *) $(MAKE) $(PROJ);; \
++ *) $(MAKE) LDFLAGS="$(LDFLAGS) $(LDFLAGS_GENERIC)" $(PROJ);; \
+ esac
+
+ $(LIBSHARED): $(OBJS) $(MAP)
diff --git a/sys-auth/pam_passwdqc/metadata.xml b/sys-auth/pam_passwdqc/metadata.xml
new file mode 100644
index 00000000000..21d4ed40d84
--- /dev/null
+++ b/sys-auth/pam_passwdqc/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>pam</herd>
+<maintainer>
+<email>pam-bugs@gentoo.org</email>
+</maintainer>
+<longdescription>
+ Password strength checking for PAM aware password changing programs. This is an alternative to the default cracklib.
+</longdescription>
+<longdescription lang="ja">
+ パスワード変更プログラムに反応する PAM のパスワード強度検査機能です。これはデフォルトの cracklib の代替です。
+</longdescription>
+</pkgmetadata>
diff --git a/sys-auth/pam_passwdqc/pam_passwdqc-1.0.4.ebuild b/sys-auth/pam_passwdqc/pam_passwdqc-1.0.4.ebuild
new file mode 100644
index 00000000000..90256f4aaff
--- /dev/null
+++ b/sys-auth/pam_passwdqc/pam_passwdqc-1.0.4.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit pam eutils toolchain-funcs
+
+DESCRIPTION="Password strength checking for PAM aware password changing programs"
+HOMEPAGE="http://www.openwall.com/passwdqc/"
+SRC_URI="http://www.openwall.com/pam/modules/pam_passwdqc/${P}.tar.gz"
+
+LICENSE="Openwall BSD public-domain"
+SLOT="0"
+KEYWORDS="alpha ~amd64 arm ~hppa m68k ~mips ppc s390 sh ~sparc x86"
+
+DEPEND="virtual/pam"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${S}"
+ epatch "${FILESDIR}/${P}-makefile.patch"
+}
+
+src_compile() {
+ emake \
+ OPTCFLAGS="${CFLAGS}" \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getCC)" \
+ || die "emake failed"
+}
+
+src_install() {
+ dopammod pam_passwdqc.so
+
+ doman pam_passwdqc.8
+ dodoc README PLATFORMS INTERNALS
+}
+
+pkg_postinst() {
+ elog
+ elog "To activate pam_passwdqc use pam_passwdqc.so instead"
+ elog "of pam_cracklib.so in /etc/pam.d/system-auth."
+ elog "Also, if you want to change the parameters, read up"
+ elog "on the pam_passwdqc(8) man page."
+ elog
+}
diff --git a/sys-auth/pam_passwdqc/pam_passwdqc-1.0.5.ebuild b/sys-auth/pam_passwdqc/pam_passwdqc-1.0.5.ebuild
new file mode 100644
index 00000000000..79ae91d2d5a
--- /dev/null
+++ b/sys-auth/pam_passwdqc/pam_passwdqc-1.0.5.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit pam eutils toolchain-funcs
+
+DESCRIPTION="Password strength checking for PAM aware password changing programs"
+HOMEPAGE="http://www.openwall.com/passwdqc/"
+SRC_URI="http://www.openwall.com/pam/modules/pam_passwdqc/${P}.tar.gz"
+
+LICENSE="Openwall BSD public-domain"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+
+DEPEND="virtual/pam"
+RDEPEND="${DEPEND}"
+
+src_unpack() {
+ unpack ${A}
+
+ cd "${S}"
+ epatch "${FILESDIR}/${P}-makefile.patch"
+}
+
+src_compile() {
+ emake \
+ OPTCFLAGS="${CFLAGS}" \
+ CC="$(tc-getCC)" \
+ LD="$(tc-getCC)" \
+ || die "emake failed"
+}
+
+src_install() {
+ dopammod pam_passwdqc.so
+
+ doman pam_passwdqc.8
+ dodoc README PLATFORMS INTERNALS
+}
+
+pkg_postinst() {
+ elog
+ elog "To activate pam_passwdqc use pam_passwdqc.so instead"
+ elog "of pam_cracklib.so in /etc/pam.d/system-auth."
+ elog "Also, if you want to change the parameters, read up"
+ elog "on the pam_passwdqc(8) man page."
+ elog
+}
diff --git a/sys-auth/pam_passwdqc/pam_passwdqc-1.3.0.ebuild b/sys-auth/pam_passwdqc/pam_passwdqc-1.3.0.ebuild
new file mode 100644
index 00000000000..cbb3e8b9f2a
--- /dev/null
+++ b/sys-auth/pam_passwdqc/pam_passwdqc-1.3.0.ebuild
@@ -0,0 +1,15 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+DESCRIPTION="Stub ebuild to help migrate to newer package name"
+HOMEPAGE="http://www.openwall.com/passwdqc/"
+
+LICENSE="Openwall BSD public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux"
+
+DEPEND="sys-auth/passwdqc[pam]"
+RDEPEND="${DEPEND}"